Subject: Re: [PATCH 02/12] net: ethernet: smsc: smc911x: Mark 'status' as __maybe_unused

From: Lee Jones <[email-masked]>
Date: Wed, 4 Nov 2020 14:56:00 +0000

On Wed, 04 Nov 2020, Andrew Lunn wrote:

> On Wed, Nov 04, 2020 at 02:31:40PM +0000, Lee Jones wrote:
> > On Wed, 04 Nov 2020, Andrew Lunn wrote:
> > 
> > > On Wed, Nov 04, 2020 at 09:06:00AM +0000, Lee Jones wrote:
> > > > 'status' is used to interact with a hardware register.  It might not
> > > > be safe to remove it entirely.  Mark it as __maybe_unused instead.
> > > 
> > > Hi Lee
> > > 
> > > https://www.mail-archive.com/[email-masked]/msg365875.html
> > > 
> > > I'm working on driver/net/ethernet and net to make it w=1 clean.  I
> > > suggest you hang out on the netdev mailing list so you don't waste
> > > your time reproducing what i am doing.
> > 
> > I believe that ship has sailed.  Net should be clean now.
> 
> drivers/net is getting better, but is not clean. I have some patches
> from Arnd which allow W=1 to be enabled by default for subdirectories,
> and i have to skip a few. Also net, not driver/net has problems, which
> i'm working on. I hope Arnd will post his patches soon, so we can get
> them merged and prevent regressions with W=1.

That's odd.  I wonder why I'm not seeing any more issues?

> > Maybe that was down to some of your previous efforts? 
> 
> And Jakub running a bot which compile tests all new patches with W=1.

That's great!  My aim is for all maintainers to be doing that.

> No, not really. I'm a networking guy, so will look mostly at
> drivers/net and the core net code.

Duly noted.  I'll leave 'net' alone then.

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog